Subject: RE: Sloppy Charters (was: Re: Discipline of Internet Protocol Eng ineering)

From: "Wijnen, Bert (Bert)" <[email-masked]>
Date: Fri, 6 Jun 2003 22:47:58 +0200

> -----Original Message-----
> From: Spencer Dawkins [mailto:[email-masked]]
> Sent: vrijdag 6 juni 2003 22:25
> To: [email-masked]
> Subject: Re: Sloppy Charters (was: Re: Discipline of Internet Protocol
> Engineering)
> 
> 
> Yeah, I'm kind of depressed by the lack of feedback from ADs on
> current AD workload. How would the rest of us know?
> 

So do you want all of the ADs to make a statement if they feel 
overloaded or not?

I will admit that I feel overloaded. The worst thing is that you
can;t actually take a 3 week vacation. Cause when you get back,
you get severely punished for that by you mail inbox.

And as far as I know, the nomcom asks for a 60% time commitment for
new ADs. And I think it is no secret that they often assume at least
a 60 hour workweek if not more, so it is basically a full time job.

And there is ALWAYS more that we can do... if just had more time.

Bert